## birthday 1.5

=== Makefile ===
# overall makefile for birthday, to get around the differing syntax of Borland and GNU makes.

# version for GNU make
Makefile.gnu: makemake Makefile.in
	./makemake unix < Makefile.in > $@

# version for Borland make
Makefile.bor: makemake Makefile.in
	makemake dos < Makefile.in > $@

# I think -o for BCC sets the /object/ file name, rather than the executable ...
makemake: makemake.c
	$(CC) -o makemake makemake.c

# targets to make directly, without having to make -f
birthday install clean: Makefile.gnu
	make -f Makefile.gnu $@

birthday.exe bdwin.exe: Makefile.bor
	make -f Makefile.bor $@

# for UNIX only
../birthday.tgz: *
	tar --exclude=RCS/* --dereference -czf ../birthday.tgz *

## birthday 0.1-0

=== debian/changelog ===
birthday (0.1-0) fremantle; urgency=low

  * Initial release.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 14 Sep 2009 17:38:11 +0200

=== debian/control ===
Source: birthday
Section: user/desktop
Priority: optional
Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
Build-Depends: cdbs (>= 0.4.48), libosso-dev, libgtk2.0-dev, libhildon1-dev, libebook-dev, libosso-abook-dev, maemo-optify
Standards-Version: 3.7.2

Package: birthday
Section: user/desktop
Architecture: any
Depends: ${shlibs:Depends}
XB-Description: Displays birthdays of your contacts.
 Simple application for displaying birthdays of your contacts.
XB-Maemo-Display-Name: Birthday
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABUNJREFUeNrsWV1MHFUUPrPz
 sz8s7paluEIjtY1AEKR0a5sANhhiTJPyUmpin0x90pQ+WWNsYowvmNhqsU3q
 Y30w0Yg0acGgDQ1pUWpNVqlFDEji2iA/sku37M/873jv7GwL6/7M7EhcLDc5
 mdk535xzvnvPPXfuXUJRFNjIzQIbvG0S2CSwSWCjN1xGV0u+FrradCgy3Pj7
 /Be1h3LhuJs+V/jq05dDA/WXwxdrXf+GzUzxGhqBmaGmboeD7Ee32+000X/r
 bHV3JtzAx7UVvKyM0TTRSVmgk2Xlsc9f91aYsWk6hW70NbZVepme1c+8LrLn
 67e8bWlQ8pkm53mr1VKfemCliPrmauY81hVo0zQBe80Oey9FEqVrIrVA6Y5y
 shfrU8+GP32qy7OF7ko3sMVh6eo7Xt5ViE3TBC6crulwuyhfJt0jNovvzEvu
 Du2ns7Gu5LVsduoepbDOadCmaQIMSonOXIBd2yisZ5B4tnqY9mw4T4kF6zwG
 bZomYNebZkgcOnAOgzZNE3DodOYwQMCITdME5L6vgnO5AAM/c1gvI5F+mY5n
 xU4vSlgnGbRpmkDk3d47/uHvwlOZlKPT3NSHV6J+jEMSfefMH/1xNsGn41gh
 wZ8aiuB6HzVoM2cj0ldfgiAy4WqQHHz71arO5/c4t9sgwawsC8KV71cC71+8
 O4B0g7iDtQrTsru+5MibR72+nRWUR45LMDUTD33QH/LfCgifIf2YRkKvzX+s
 xIUQIDWHu/CKqVUHAUkAybjmKDXcuMo0IGnU7tWvBSS3kUxo90ZtZiVA6ZxM
 zMpKpDsaje1jWRE4jgd8ZVkBZDlxs729+QTOEgwcGRlp8Pn29ITDESvWsyyP
 8CLCAT8+7j957NjL14zazNX0EnCLorjP5XL7GEYAhuGBpgVVlpaCqj7lLBAI
 1La2trW4XBbAWJpOYjGR+fk/axHkmlGbm/uBXC2R0HeqgXMXpUbxEJCkBESj
 LNy7F8uL5XkR4eJqfucjyXEChMOx9SOAexwHhHMak8geDIAoShCP8yo+12YJ
 6wRBglgsOeGNnFUZIJBMAUmS86YN9o9xGJ8vFmxLFFNYZf1SyIhtvYHo3cb+
 r6tQppWYGXuj/PTjZeTxYgr0zrJ8ruVU8ASKV8g3AgwnKtZi62ktJo+ulZj+
 shStjFaQd3Mg+7iNu5CRP9oy5x3tRW86TTunliuBXtypXlV7BdjM+y1kr/4I
 MXECaXsycxkU5kGOj4MUHlKvRoK3zjbc/22t6gTiiabkDor7DeRY0maCnymc
 APnCESBLmnMPIfOYKrT7gOpYWDiXkwhZ2ga06wCQeC2ZvQ5KLAbywiJY3JNA
 agRwZ2FhPC+qHSQsXQBYHNRPQDwcAea5b/TV8onr6Cv/epJMw36wN5xViYih
 PlDEBS1qJ1ClzyJpA4JMHgMp1A8gTf4KSkTbdJVVZO0gW9VJtDsYLCyF0lMl
 gYJLcA+G1TaRdKzwPMiXPgEakVB7EDvNVb/r9oLl4CsAy3+pwZN7OwqbRxmN
 U+XJD7aVUZAio2rg93szfQRirWoKKMGgYec4aDn2E4go14XApQfPUdriVMs2
 7/ISUKQgRCf36wqCZ/xABpPVCpddnK/M1qN531ODRthMHaPOIaTD1Q7PLbrs
 sOkdWfYzF9/atUJGjnFwmMTqnE9VF1xZpMi3WUd0TUciDCapTuL1IpDNMT/3
 HvAbYUf2X7eMIzB4m5vbNkv6iynQ2bvynN6vUbyetyOpLLLOxgRuoHhDeg62
 7JD2b0oRNHzIxeY9mXvojlU2CTzsBP4WYADAKtaUk97XKwAAAABJRU5ErkJg
 gg==

## birthday 0.1-1

=== debian/changelog ===
birthday (0.1-1) fremantle; urgency=low

  * Temporary disabled loading of avatars, because application was crashing.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 10 Mar 2010 16:08:56 +0100

## birthday 0.1-2

=== debian/changelog ===
birthday (0.1-2) fremantle; urgency=low

  * Fixed loading of avatars.
  * If no fullname is set, try to use given name, family name,
    nickname or organisation insted.
  * Added sorting by name and date.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 12 Mar 2010 14:55:27 +0100

## birthday 0.1-3

=== debian/changelog ===
birthday (0.1-3) fremantle; urgency=low

  * Added simple search on enter text feature.
  * Updated Slovak translation.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 15 Mar 2010 10:47:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Section: user/desktop
 Architecture: any
 Depends: ${shlibs:Depends}
-XB-Description: Displays birthdays of your contacts.
+XB-Description: Displays birthdays of your contacts
  Simple application for displaying birthdays of your contacts.
 XB-Maemo-Display-Name: Birthday
 XB-Maemo-Icon-26:

## birthday 0.1-4

=== debian/changelog ===
birthday (0.1-4) fremantle; urgency=low

  * Added "Search" menu item.
  * Use date string formating based on locale setting.
  * Updated Slovak translation.
  * Added Homepage, Vcs-Browser, Vcs-Git and XSBC-Bugtracker fields to
    debian/control file.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 16 Mar 2010 19:42:59 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.

#export DH_VERBOSE=1


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

DESTDIR = $(CURDIR)/debian/birthday

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr

	touch $@

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure data/Makefile.in depcomp install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh missing mkinstalldirs po/Makefile.in.in src/Makefile.in

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install
	find $(DESTDIR) -name "*.la" | xargs rm -f

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## birthday 0.1-5

=== debian/changelog ===
birthday (0.1-5) fremantle; urgency=low

  * Fixed bug in calculation of age caused by Y2K38 problem.
    Age of contacts born before year 1942 was reported 0.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 18 Mar 2010 14:36:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,9 @@
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
 Build-Depends: cdbs (>= 0.4.48), libosso-dev, libgtk2.0-dev, libhildon1-dev, libebook-dev, libosso-abook-dev, maemo-optify
 Standards-Version: 3.7.2
+Homepage: http://birthday.garage.maemo.org/
+Vcs-Browser: https://garage.maemo.org/plugins/ggit/browse.php/?p=birthday
+Vcs-Git: https://vcs.maemo.org/git/birthday
 
 Package: birthday
 Section: user/desktop
@@ -12,6 +15,7 @@
 XB-Description: Displays birthdays of your contacts
  Simple application for displaying birthdays of your contacts.
 XB-Maemo-Display-Name: Birthday
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1455&atid=5276
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAABUNJREFUeNrsWV1MHFUUPrPz

## birthday 0.2-2

=== debian/changelog ===
birthday (0.2-2) fremantle; urgency=low

  * Added dependency to mce-dev.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 15 Oct 2010 18:47:15 +0100

birthday (0.2-1) fremantle; urgency=low

  * Show contacts with birthday today on the top of the list.
  * Added posibility to call or send SMS to selected contact.
  * Added portrait mode support.
  * Fixed searching of names in UTF-8 encoding.
  * Updated Slovak translation.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 15 Oct 2010 18:40:00 +0100

## birthday 0.3-1

=== debian/changelog ===
birthday (0.3-1) fremantle; urgency=low

  * Rewritten handling contacts using OssoAbookContact instead of EContact.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 18 Oct 2010 09:20:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
-Build-Depends: cdbs (>= 0.4.48), libosso-dev, libgtk2.0-dev, libhildon1-dev, libebook-dev, libosso-abook-dev, maemo-optify
+Build-Depends: cdbs (>= 0.4.48), libosso-dev, libgtk2.0-dev, libhildon1-dev, libebook-dev, libosso-abook-dev, mce-dev, maemo-optify
 Standards-Version: 3.7.2
 Homepage: http://birthday.garage.maemo.org/
 Vcs-Browser: https://garage.maemo.org/plugins/ggit/browse.php/?p=birthday

## birthday 1.1

=== debian/changelog ===
birthday (1.1) unstable; urgency=HIGH

  * Y2K fix for calculation of the current date!  (closes: Bug#53821)
  * Clarify the treatment of two-digit dates in the manpage.
  * The Debian package of this program is it's upstream source, so remove
    the extra component of the version number.
  * Update to the latest standards-version.

 -- Andy Mortimer <andy.mortimer@zetnet.co.uk>  Sun,  2 Jan 2000 19:31:27 +0000

birthday (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Andy Mortimer <andy.mortimer@zetnet.co.uk>  Thu, 14 Jan 1999 16:35:20 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: birthday
Section: misc
Priority: optional
Maintainer: Andy Mortimer <andy.mortimer@zetnet.co.uk>
Standards-Version: 3.1.0

Package: birthday
Architecture: any
Depends: ${shlibs:Depends}
Description: Display information about pending events on login
 Given a list of the dates of various different events, works out and
 displays a list of those which will come up in the next couple of
 weeks. This was originally designed for birthdays, but can equally be 
 used for reminders about yearly events, or for a running diary.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	make birthday
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/bin usr/share/man/man1
	$(MAKE) install DESTDIR=`pwd`/debian/tmp SHARE=/share
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## birthday 1.6.2

=== Makefile ===
######################################################################
# birthday. Reminder of birthdays and other events in the near future.
# $Id: Makefile,v 1.4 2005/09/02 19:33:18 andymort Exp $

OS=UNIX
#OS=DOS

# can override this on the commandline if req'd
DEBUG=
ifeq ($(OS),DOS)
OSCFLAGS=-w
else
OSCFLAGS=-Wall -Wstrict-prototypes
endif
CFLAGS=-O2 $(DEBUG) -D$(OS) $(OSCFLAGS)

# engine
ENGSRC=bdengine.c xmalloc.c

# OS-specific sources 
ifeq ($(OS),DOS)
OSSRC=alloca.c getopt.c
else
OSSRC=
endif

CMDSRC=birthday.c bdcal.c $(ENGSRC) $(OSSRC)
WINSRC=winbd.c $(ENGSRC) $(OSSRC)

ifeq ($(OS),DOS)
CMDOBJ=$(CMDSRC:.c=.obj)
WINOBJ=$(WINSRC:.c=.obj) bdwin.res
else
CMDOBJ=$(CMDSRC:.c=.o)
#WINOBJ=$(WINSRC:.c=.o)
endif

ifeq ($(OS),DOS)
birthday.exe: $(CMDOBJ)
	$(CC) $(LDFLAGS) $(CMDOBJ) -e $@

bdwin.res: bdwin.rc
	rc -r bdwin

bdwin.exe: $(WINOBJ)
	$(CC) $(LDFLAGS) $(WINOBJ) -e $@
	rc bdwin

else
birthday: $(CMDOBJ)
	$(CC) $(LDFLAGS) $(CMDOBJ) -o $@

# you can override this to use the new FHS locations.
SHARE=
#SHARE=/share

install: birthday birthday.man
	install -d $(DESTDIR)/usr/bin $(DESTDIR)/usr$(SHARE)/man/man1
	install -s birthday $(DESTDIR)/usr/bin/birthday
	install -m 0644 birthday.man $(DESTDIR)/usr$(SHARE)/man/man1/birthday.1

test: birthday
	sh runtest.sh -exec `pwd`/birthday test/*.t

clean:
	rm -f birthday *.o

VERSION := $(shell sed -ne '/^birthday/s/.*(\(.*\))/\1/gp' ChangeLog | head -1)
dist:
	ln -s . birthday-$(VERSION)
	tar cf - `grep / CVS/Entries | cut -f2 -d/ | sed "s;^;birthday-$(VERSION)/;"` | bzip2 -c > birthday-$(VERSION).tar.bz2
	rm birthday-$(VERSION)
endif

.PHONY: test

=== debian/changelog ===
birthday (1.6.2-8) unstable; urgency=medium

  * Team upload.
  * d/rules: fold override_dh_installman into execute_before_dh_installman
  * d/local/vcf2birthday.1: unbreak, fix, rewrite in mdoc
  * d/local/vcf2birthday: chmod +x
  * d/local/vcf2birthday: reject invalid usage instead of ignoring it
  * d/p/0010: Don't override CFLAGS (Closes: #1119361)
  * d/README: fix vcf2birthday call

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 29 Oct 2025 19:07:45 +0100

birthday (1.6.2-7) unstable; urgency=medium

  * d/p/0007: Don't strdup() static-lifetime filenames
  * d/p/0008: Try $XDG_CONFIG_HOME/.birthdays if ~/.birthdays doesn't exist
    Closes: #1108393
  * d/p/0009: Fix -Wunsequenced

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Thu, 14 Aug 2025 19:04:56 +0200

birthday (1.6.2-6) unstable; urgency=medium

  * Team upload.
  * d/rules: export LC_ALL := C to fix tests (Closes: #1092394)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 07 Jan 2025 21:05:46 +0100

birthday (1.6.2-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Package Salvage team
    Closes: #1085599
  * Convert from cdbs to dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Strip unusual field spacing from debian/control.
  * watch file standard 4 (routine-update)
  * Fix installation of manpage

  [ наб ]
  * d/p/0004: Don't loop forever if ddiff() gets D1 > D2
    d/p/0006: Invent hard limits to prevent looping for (u32)-1
    Closes: #827504
  * d/p/0005: Don't leave uninitialised data after scan_date().
    Don't segfault if month=0
    Closes: #827498

 -- Andreas Tille <tille@debian.org>  Mon, 21 Oct 2024 07:11:40 +0200

birthday (1.6.2-4.1) unstable; urgency=low

  * NMU
  * Add a -L option to output day and month name in list view

 -- Matthew Vernon <matthew@debian.org>  Tue, 10 Mar 2020 17:38:37 +0000

birthday (1.6.2-4) unstable; urgency=low

  * New maintainer (Closes: 673226).
  * debian/control: Standards-version updated to 3.9.3.
  * debian/compat: upgraded to 7.
  * Move to source version 3.0 (quilt).
  * Imported patch to show ongoing events (Closes: 611113).
  * Added description for ongoing-events patch.

 -- Patrick Uiterwijk <puiterwijk@gmail.com>  Sun, 22 Jul 2012 09:19:57 +0200

birthday (1.6.2-3) unstable; urgency=low

  * debian/control: Standards-Version, Homepage.
  * debian/watch: Updated.

 -- Bart Martens <bartm@debian.org>  Sat, 21 Jun 2008 16:46:39 +0200

birthday (1.6.2-2) unstable; urgency=low

  * debian/rules: Added "CFLAGS += -DUNIX".  Closes: #438720.

 -- Bart Martens <bartm@knars.be>  Tue, 21 Aug 2007 07:23:06 +0200

birthday (1.6.2-1) unstable; urgency=low

  * New maintainer.
  * New upstream release.  Closes: #343442, #347620.
  * debian/auto-grow.diff, debian/init-buffer.diff, old-postinst, old-prerm:
    Removed obsolete files.
  * Other patches in the previous .diff.gz are now in the upstream .tar.gz.
  * debian/*: Repackaged with cdbs.
  * debian/copyright: Updated.
  * debian/watch: Added.
  * debian/patches/01_nostrip.diff: Added.  Closes: #436589.
  * debian/source.lintian-overrides: Added.

 -- Bart Martens <bartm@knars.be>  Sat, 18 Aug 2007 09:42:54 +0200

birthday (1.5-9.1) unstable; urgency=low

  * NMU.
  * Don't mess with the permissions of .., chmod debian/tmp instead
    (Closes: #280309).
  * Apply Thorsten Gunkel's patch for 1-year olds (Closes: #212905).
  * Apply Thorsten Gunkel's patch to fix #defines (Closes: #235681).
  * Install slovak-namedays (Closes: #236463).

 -- Christoph Berg <cb@df7cb.de>  Fri,  3 Dec 2004 19:00:08 +0100

birthday (1.5-9) unstable; urgency=low

  * upgraded to standards version 3.6.1
  * workaround the setgid-bit of the upstream tarball...
                                                    (closes: Bug#234836)

 -- Alexander Neumann <alexander@debian.org>  Tue, 10 Feb 2004 10:11:29 +0100

birthday (1.5-8) unstable; urgency=low

  * Integrated patch by Andreas Tscharner:
    fixed not initialized buffer                    (closes: Bug#231672)

 -- Alexander Neumann <alexander@debian.org>  Sun,  8 Feb 2004 12:33:33 +0100

birthday (1.5-7) unstable; urgency=low

  * Integrated patch by Sebastian Schmidt           (closes: Bug#192735)
  * Provide an example in the manpage               (closes: Bug#216817)

 -- Alexander Neumannn <alexander@debian.org>  Wed,  4 Feb 2004 10:19:45 +0100

birthday (1.5-6) unstable; urgency=low

  * Adopted the package                             (closes: Bug#163068)
  * Removed the link from usr/share/doc to usr/doc to be FHS-compatible

 -- Alexander Neumann <alexander@debian.org>  Thu,  3 Oct 2002 18:21:30 +0200

birthday (1.5-5) unstable; urgency=low

  * Orphaned the package becouse of personal consideration.
  * Manpage typo fixed, also forwarded to upstream. (closes: Bug#161314)
  * Added vcf2birthday.pl (by Gergely Nagy <algernon@debian.org>) to
    support automatic adding of VCARD (.vcf).       (closes: Bug#160019)
  * Added hungarian namedays database.              (closes: Bug#160020)

 -- Lenart Janos <ocsi@debian.org>  Wed,  2 Oct 2002 12:04:30 +0200

birthday (1.5-4) unstable; urgency=low

  * Fixed debian/{postinst,prerm}.                  (closes: Bug#136841)

 -- Lenart Janos <ocsi@debian.org>  Sat, 23 Mar 2002 10:17:06 +0100

birthday (1.5-3) unstable; urgency=low

  * Oops; /usr/share/doc/birthday/changelog.Debian should be *.gz.

 -- Lenart Janos <ocsi@debian.org>  Tue, 11 Dec 2001 17:55:55 +0100

birthday (1.5-2) unstable; urgency=high

  * Sorry for segfault and forgotten birthdays.     (closes: Bug#117743)

 -- Lenart Janos <ocsi@debian.org>  Sun,  4 Nov 2001 16:43:54 +0100

birthday (1.5-1) unstable; urgency=low

  * Adopted package; not Debian-specific anymore; completly new package.


=== debian/control ===
Source: birthday
Section: misc
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Patrick Uiterwijk <puiterwijk@gmail.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/birthday
Vcs-Git: https://salsa.debian.org/salvage-team/birthday.git
Homepage: http://sourceforge.net/projects/birthday/
Rules-Requires-Root: no

Package: birthday
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: perl
Description: Display information about pending events on login
 Given a list of the dates of various different events, works out and
 displays a list of those which will come up in the next couple of
 weeks. This was originally designed for birthdays, but can equally be
 used for reminders about yearly events, or for a running diary.
 .
 Note that if you want to use vcf2birthday script you will need perl.

=== debian/rules ===
#!/usr/bin/make -f

DEB_CFLAGS_MAINT_APPEND  = -DUNIX
export LC_ALL := C

%:
	dh $@

execute_before_dh_installman:
	mv debian/birthday/usr/man debian/birthday/usr/share/man

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[\-_]?(rc\d+|pre\d+a?)$/$1~$2/;s/[\-\.](source|src|orig|unix)$//;s/^(\d{8})/0.0.$1/;s/-(bin|osx)$/~$1/;s/^v(\d)/$1/;" \
http://sf.net/birthday/birthday[\-_](v?[\d\.]+(?:rc|rc\d+|-unix|-source|-src|\.src|\.orig|[a-z]|b\d+|beta\d+-src|beta\d+)?)\.(?:tar\.gz|tgz|tar\.bz2|zip|pm\.gz|jar|shar\.gz|shar\.Z)
